summaryrefslogtreecommitdiffstats
path: root/meta/classes/populate_sdk_ext.bbclass
diff options
context:
space:
mode:
Diffstat (limited to 'meta/classes/populate_sdk_ext.bbclass')
-rw-r--r--meta/classes/populate_sdk_ext.bbclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/meta/classes/populate_sdk_ext.bbclass b/meta/classes/populate_sdk_ext.bbclass
index 40b0375e0b..9bab54c6bd 100644
--- a/meta/classes/populate_sdk_ext.bbclass
+++ b/meta/classes/populate_sdk_ext.bbclass
@@ -574,8 +574,8 @@ sdk_ext_preinst() {
574 exit 1 574 exit 1
575 fi 575 fi
576 # The relocation script used by buildtools installer requires python 576 # The relocation script used by buildtools installer requires python
577 if ! command -v python > /dev/null; then 577 if ! command -v python3 > /dev/null; then
578 echo "ERROR: The installer requires python, please install it first" 578 echo "ERROR: The installer requires python3, please install it first"
579 exit 1 579 exit 1
580 fi 580 fi
581 missing_utils="" 581 missing_utils=""
@@ -634,7 +634,7 @@ sdk_ext_postinst() {
634 # current working directory when first ran, nor will it set $1 when 634 # current working directory when first ran, nor will it set $1 when
635 # sourcing a script. That is why this has to look so ugly. 635 # sourcing a script. That is why this has to look so ugly.
636 LOGFILE="$target_sdk_dir/preparing_build_system.log" 636 LOGFILE="$target_sdk_dir/preparing_build_system.log"
637 sh -c ". buildtools/environment-setup* > $LOGFILE && cd $target_sdk_dir/`dirname ${oe_init_build_env_path}` && set $target_sdk_dir && . $target_sdk_dir/${oe_init_build_env_path} $target_sdk_dir >> $LOGFILE && python $target_sdk_dir/ext-sdk-prepare.py $LOGFILE '${SDK_INSTALL_TARGETS}'" || { echo "printf 'ERROR: this SDK was not fully installed and needs reinstalling\n'" >> $env_setup_script ; exit 1 ; } 637 sh -c ". buildtools/environment-setup* > $LOGFILE && cd $target_sdk_dir/`dirname ${oe_init_build_env_path}` && set $target_sdk_dir && . $target_sdk_dir/${oe_init_build_env_path} $target_sdk_dir >> $LOGFILE && python3 $target_sdk_dir/ext-sdk-prepare.py $LOGFILE '${SDK_INSTALL_TARGETS}'" || { echo "printf 'ERROR: this SDK was not fully installed and needs reinstalling\n'" >> $env_setup_script ; exit 1 ; }
638 rm $target_sdk_dir/ext-sdk-prepare.py 638 rm $target_sdk_dir/ext-sdk-prepare.py
639 fi 639 fi
640 echo done 640 echo done